Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Interface CMSAttributes

public interface CMSAttributes

RFC 5652 CMS attribute OID constants, RFC 6019 Binary Time, and RFC 6211 Algorithm Identifier Protection Attribute. contentType ::= 1.2.840.113549.1.9.3 messageDigest ::= 1.2.840.113549.1.9.4 signingTime ::= 1.2.840.113549.1.9.5 counterSignature ::= 1.2.840.113549.1.9.6 binarySigningTime ::= 1.2.840.113549.1.9.16.2.46 contentHint ::= 1.2.840.113549.1.9.16.2.4 cmsAlgorithmProtect := 1.2.840.113549.1.9.52

Field Summary
`static ASN1ObjectIdentifier` | `binarySigningTime` PKCS#9: 1.2.840.113549.1.9.16.2.46
`static ASN1ObjectIdentifier` | `cmsAlgorithmProtect`
`static ASN1ObjectIdentifier` | `contentHint` PKCS#9: 1.2.840.113549.1.9.16.6.2.4 - See RFC 2634
`static ASN1ObjectIdentifier` | `contentType` PKCS#9: 1.2.840.113549.1.9.3
`static ASN1ObjectIdentifier` | `counterSignature` PKCS#9: 1.2.840.113549.1.9.6
`static ASN1ObjectIdentifier` | `messageDigest` PKCS#9: 1.2.840.113549.1.9.4
`static ASN1ObjectIdentifier` | `signingTime` PKCS#9: 1.2.840.113549.1.9.5

Field Detail

### contentType

    public static final ASN1ObjectIdentifier contentType

  PKCS#9: 1.2.840.113549.1.9.3

### messageDigest

    public static final ASN1ObjectIdentifier messageDigest

  PKCS#9: 1.2.840.113549.1.9.4

### signingTime

    public static final ASN1ObjectIdentifier signingTime

  PKCS#9: 1.2.840.113549.1.9.5

### counterSignature

    public static final ASN1ObjectIdentifier counterSignature

  PKCS#9: 1.2.840.113549.1.9.6

### binarySigningTime

    public static final ASN1ObjectIdentifier binarySigningTime

  PKCS#9: 1.2.840.113549.1.9.16.2.46

### contentHint

    public static final ASN1ObjectIdentifier contentHint

  PKCS#9: 1.2.840.113549.1.9.16.6.2.4 - See RFC 2634

### cmsAlgorithmProtect

    public static final ASN1ObjectIdentifier cmsAlgorithmProtect

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD